net.i2p.router.tunnel

## Class TunnelGatewayPumper

- java.lang.Object
- - net.i2p.router.tunnel.TunnelGatewayPumper

All Implemented Interfaces:
  Runnable

    public class TunnelGatewayPumper
    extends Object
    implements Runnable

run through the tunnel gateways that have had messages added to them and push those messages through the preprocessing and sending process

### Constructor Summary

Constructors
Constructor and Description
`TunnelGatewayPumper(RouterContext ctx)` Creates a new instance of TunnelGatewayPumper

### Method Summary

Methods
`void` `run()`
`void` `stopPumping()`
`void` `wantsPumping(PumpedTunnelGateway gw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TunnelGatewayPumper

    public TunnelGatewayPumper(RouterContext ctx)

Creates a new instance of TunnelGatewayPumper

### Method Detail

#### stopPumping

    public void stopPumping()

#### wantsPumping

    public void wantsPumping(PumpedTunnelGateway gw)

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`